/**************************************************************************/
/*                     ega1512.h       NOVELLA 1990  v1.5                 */
/**************************************************************************/
/*       ega1512 Library function definitions for use with Borland        */
/*                Turbo C v1.5 and Turbo C v2.0  and  the                 */
/*            Amstrad PC1512  640x200 16 colour graphics mode             */
/*                                                                        */
/**************************************************************************/

   void ega1512_arc(int x,
                    int y,
                    int stangle,
                    int endangle,
                    int radius,
                    int color);

   void ega1512_circle(int x,
                       int y,
                       int radius,
                       int color);

   void ega1512_ellipse(int x,
                        int y,
                        int stangle,
                        int endangle,
                        int xradius,
                        int yradius,
                        int color);

   void ega1512_line(int x0,
                     int y0,
                     int x1,
                     int y1,
                     int color);

   void ega1512_putpixel(int x,
                         int y,
                         int pixcolor);

   int ega1512_getpixel(int x,
                        int y);

   void ega1512_rectangle(int left,
                          int top,
                          int right,
                          int bottom,
                          int color);

   void ega1512_cleardevice(void);

   void ega1512_clearviewport(void);

   void ega1512_linerel(int dx,
                        int dy,
                        int color);

   void ega1512_lineto(int x,
                       int y,
                       int color);

   void ega1512_drawpoly(int numpoints,
                         int far *polypoints,
                         int color);

   void ega1512_fillpoly(int numpoints,
                         int far *polypoints,
                         int fillcolor,
			 int bordercolor);

   void ega1512_bar3d(int left,
                      int top,
                      int right,
                      int bottom,
                      int depth,
                      int topflag,
                      int fillcolor,
		      int bordercolor);

   void ega1512_pieslice(int x,
                         int y,
                         int stangle,
                         int endangle,
                         int radius,
                         int fillcolor,
			 int bordercolor);

   void ega1512_setmode(char far *pathtodriver);

   void ega1512_fastbar(int left,
                        int top,
                        int right,
                        int bottom,
			int fillcolor);

   void ega1512_bar(int left,
                    int top,
                    int right,
                    int bottom,
                    int fillcolor);

   void ega1512_textcolor(int color);

   void ega1512_outtextxy(int x,
                          int y,
                          char far *textstring,
                          int color);

   void ega1512_getimage(int left,
                         int top,
                         int right,
                         int bottom,
                         char far *bitmap,
                         unsigned int size);

   void ega1512_putimage(int left,
                         int top,
                         char far *bitmap,
                         unsigned int size,
                         int op);


   void ega1512_scrborder(int color);


   void user_ega1512_bar(int left,
			 int top,
			 int right,
			 int bottom,
			 int fillcolor);

   void user_ega1512_fillpoly(int numpoints,
			      int far *polypoints,
                              int fillcolor,
			      int bordercolor);

   void user_ega1512_pieslice(int x,
			      int y,
			      int stangle,
			      int endangle,
			      int radius,
			      int fillcolor,
			      int bordercolor);


/**************************************************************************/
