/*****************************************************************************/
/*                           NOVELLA 1989  V1.4                              */
/*                               example2.c                                  */
/*                                                                           */
/*                      Display of all mixed colours                         */
/*            which consist of 3 intensity levels of 27 colours              */
/*****************************************************************************/
 #include<graphics.h>
 #include<ega1512.h>
 #include<stdlib.h>

main()
  {
int x,L,R;
char blend[] = { 0xAA,0x55,0xAA,0x55,0xAA,0x55,0xAA,0x55 };     /* Fillpattern*/
char bg[]={0,0,7,0,1,1,0,3,3,0,2,2,2,2,0,4,4,0,4,6,6,1,0,4,5,1,5};/*Background*/
char fg[]={0,7,0,1,0,2,3,0,4,2,1,0,4,5,4,0,3,6,2,0,1,4,5,1,0,6,2};/*Foreground*/

  ega1512_setmode("");

    for(x=0;x<27;x++)
      {
       L = (x*16)+50;
       R = L+16;

       setfillstyle(SOLID_FILL,1);
       ega1512_bar(L,0,R,6,bg[x]);           /* dark colours                */
       setfillpattern(blend,1);              /* as defined in arrays above  */
       user_ega1512_bar(L,0,R,6,fg[x]);

       setfillstyle(SOLID_FILL,1);
       ega1512_bar(L,7,R,13,bg[x]);         /* for medium colours           */
       setfillpattern(blend,1);             /* add 8 onto foreground values */
       user_ega1512_bar(L,7,R,13,fg[x] +8);

       setfillstyle(SOLID_FILL,1);
       ega1512_bar(L,14,R,20,bg[x] + 8);    /* for light colours            */
       setfillpattern(blend,1);             /* add 8 onto background values */
       user_ega1512_bar(L,14,R,20,fg[x]);

       }
       ega1512_outtextxy(200,50,"81 colours in all",WHITE);
 }
